using System;
using System.Collections.Generic;
using System.Text;
using PhilExample.Interfaces;

namespace PhilExample.Services
{
    /// <summary>
    /// Dependency Interface for Android & iOS implementation
    /// </summary>
    public interface IForegroundTCPService
    {
        bool IsRunning { get; }
        void Start(IForegroundTCPDelegate del);
        void Stop();
        void UpdateNotification();
    }
}
